Bug 149128 - Cannot update config file in cluster
Summary: Cannot update config file in cluster
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: redhat-config-cluster   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-18 23:24 UTC by Paul Kennedy
Modified: 2015-04-20 00:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-29 15:16:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Kennedy 2005-02-18 23:24:52 UTC
Description of problem:
There is no way to update the cluster configuration file in the
cluster; that is, there is no equivalent function to the command line
"ccs_tool update" command.

Otherwise, the user is forced to go to the command line to update the
configuration file. 

Version-Release number of selected component (if applicable):
system-config-cluster-0.9.5-1.0

Steps to Reproduce: N/A

  
Actual results:
N/A

Expected results:
Ability to update config file from the GUI

Additional info:

Comment 1 Jim Parsons 2005-03-01 16:29:53 UTC
Will be in release.

Comment 2 Jim Parsons 2005-03-28 11:28:07 UTC
This has been addressed by a high level button in the interface called
'propagate', which saves the config to /etc/cluster and then calles cman_tool
version -r, rather than ccs_tool

Comment 3 Corey Marthaler 2005-04-28 19:15:49 UTC
traceback now when attempting the 'propagate' in 0.9.42-1.0:


Traceback (most recent call last):
  File "/usr/sbin/system-config-cluster", line 426, in propagate
    self.command_handler.propagateCManConfig(version)
AttributeError: CommandHandler instance has no attribute 'propagateCManConfig'



Comment 4 Jim Parsons 2005-04-28 21:09:56 UTC
Darn typo -- fixed in 0.9.43

Comment 5 Corey Marthaler 2005-04-29 15:16:18 UTC
fix verified in -43.


Note You need to log in before you can comment on or make changes to this bug.